Subject: Re: HW question: i210 vs. BCM5461S over SGMII: no response from PHY to MDIO requests?

From: Andrew Lunn <[email-masked]>
Date: Fri, 16 Mar 2018 19:42:08 +0100

On Fri, Mar 16, 2018 at 05:48:20PM +0100, Frantisek Rysanek wrote:
> Dear polite inhabitants of the "netdev" mailing list,
> 
> this is for a skunkworks project at the fringe of my job...
> More of a DIY hobby thing :-) I'm tinkering and having fun.
> 
> The wizards from linux-ptp have taught me how to use the i210 for 
> precise timestamping, which works fine at all copper speeds 
> and likely also for gigabit fiber (SERDES) which the i210 natively 
> supports (and which links fine).
> 
> The catch is: I'm trying to get this to work on 100Base-FX :-) 
> which is not a native interface for the i210.
> It can do SERDES only at 1Gb. But, it can do SGMII.
> I've managed to find an i210-based NIC from DeLock with an SFP slot
> and I've managed to find two models of 100Base-FX SGMII SFP's.
> 
> My assumption is that the SFP's have SGMII instead of SERDES
> and MDIO instead of SPD I2C - and the manufacturers of the board
> and of the SFP's don't dispute that. Yet they have both vaguely 
> warned me in advance that it would not work work :-)
> Well I've given it a try anyway, and I'm stuck at the MDIO level.
> 
> With one of the SFP's, I know for a fact that it's based on the 
> BCM5461S. The actual marking on the chip goes BCM5461SA... etc.

Hi Frantisek

This seems a bit odd. The SFP cage only has i2c, not MDIO. It is
possible to carry MDIO over i2c, which is what is done when the SFP
module is copper, not fibre. But you are doing 100Base-FX, so fibre.

The BCM5461 is a copper PHY. There are some PHYs which are designed to
act as translators. You can feed SERDES in one side, and get SGMII out
the other side, for example. Such PHYs can be used between a MAC and
an SFP socket. But from what i can find online about the BCM5461, it
does not have this capability.

Can you tell us the exact make/model of the DeLock card and the SFP
modules.

	Andrew